﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using C1.WPF.C1Chart.Extended;

namespace WpfApplication20
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

         

         

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            // save chart image to stream
            System.IO.MemoryStream ms = new System.IO.MemoryStream();
            chart1.SaveImage(ms, ImageFormat.Png);

            BitmapImage bmps = new BitmapImage();
            bmps.BeginInit();
            bmps.StreamSource = ms;
            bmps.EndInit();
            WriteableBitmap img = new WriteableBitmap(bmps);

            // create and save pdf document
            C1.WPF.Pdf.C1PdfDocument pdf = new C1.WPF.Pdf.C1PdfDocument();
            pdf.DrawImage(img, new Rect(0, 0, img.Width, img.Height));
            pdf.Save("doc.pdf");
        }
    }
}
